*--------------------
	subroutine dpsplcalc
* compute magnifications and derivatives of pspl model
* 2007 Apr Keith Horne @ St-Andrews
* 2009 Jul KDH @ StA -  t0 -> hjd0
	include 'plens.inc'
c	t0 = hjd0 - mjd0
c	write(*,*) 'dpsplcalc *************', ndata, t0, te, y0
      do i = 1, ndata
	x = ( hjd_t(i) - hjd0 ) / te
	uu = x * x + y0 * y0
	uu = max( uu, 1.e-20 )
	u = sqrt( uu )
* pspl magnification
	a = ( uu + 2. ) / ( u * sqrt( uu + 4. ) )
* derivatives
	dadu = dpspl( u )
	dadx = dadu * x / u
	dadt0 = - dadx / te
	dadte = dadt0 * x
	dady0 = dadx * y0 / u
* stow
	a_t( i ) = a
	dpspl_t( i ) = dadu
	dpspl_dy0_t( i ) = dady0
	dpspl_dt0_t( i ) = dadt0
	dpspl_dte_t( i ) = dadte
      end do
	return
	end
