
*------------------------------
	subroutine gplot
* gaussian residuals test
* 2003 Nov KDH @ St-And
	include 'plens.inc'
	write(*,*) 'gplot ****************'

* window
	xmx = 10.
	xmn = - xmx
	ymx = 1.
	ymn = 0.
	write(*,*) 'window', xmn, xmx, ymn, ymx
	call pgsci( kolor_window )
	call pgenv( xmn, xmx, ymn, ymx, 0, 0 )
* verticals
	call pgsls(4)
      do k=-1,1
	xxx = k
	call pgmove( xxx, ymn )
	call pgdraw( xxx, ymx )
      end do
	call pgsls(1)

* gaussian
	sum = 0.d0
	nplot = 200
	dxx = ( xmx - xmn ) / max( 1, nplot - 1 ) / sqrt( 2. * pi )
      do i = 1, nplot
	part = float( i-1 ) / max( 1, nplot - 1 )
	xx = xmn + ( xmx - xmn ) * part
	add = exp( -0.5 * xx**2 )
	sum = sum + add * dxx
	plot1(i) = xx 
	plot2(i) = add
	plot3(i) = sum
      end do
	call pgsci( kolor_model )
	call pgline( nplot, plot1, plot3 )


* labels
	xlabel = '( data - model ) / sigma'
	ylabel = ' '
	title = ' '
	call title_event( title )
c	title = datfile(:len1(datfile) )
	call pgsci( kolor_label )
	call pglabel( xlabel, ylabel, title )
	call legend

* gather data
      do i=1,ndata
	plot1(i) = eta_i(i)
	plot2(i) = see_t(i)
	plot3(i) = sky_t(i)
      end do

	call mnmx( ndata, plot1, etalo, etahi )
	call avgrms( ndata, plot1, avg, rms )
	write(*,*) 'ETA mn,mx,avg,rms:', etalo, etahi, avg, rms

	call mnmx( ndata, plot2, seelo, seehi )
	call avgrms( ndata, plot2, avg, rms )
	write(*,*) 'SEE mn,mx,avg,rms:', seelo, seehi, avg, rms

	call mnmx( ndata, plot3, skylo, skyhi )
	call avgrms( ndata, plot3, avg, rms )
	write(*,*) 'SKY mn,mx,avg,rms:', skylo, skyhi, avg, rms


* cumulative histogram
	call quicksort( ndata, plot1, irank )
	call pgsci( kolor_data )
	xx = xmn
	yy = 0.
	call pgmove( xx, yy )
      do ir = 1, ndata
	i = irank( ir )
	xx = plot1( i )
	call pgdraw( xx, yy )
	yy = float( ir ) / ndata
	call pgdraw( xx, yy )
      end do
	xx = xmx
	call pgdraw( xx, yy )


	return
	end
