*------------------------------
	subroutine gridbox( option )
* set grid 
* 2007 Aug Keith Horne @ La Silla
	include 'plens.inc'
	character*(*) option
	call upcase( option, opt )
	write(*,*) 'gridbox( ' // opt(:len1(opt)) // ' ) ********'
* xy
      if( opt .eq. 'XY' ) then
	x2 = 3.
	x1 = - x2
	y2 = max( uplus( 1.1 ), uplus( y0 + 0.3  ) )
	call roundup( y2, 0.1 )
	y1 = - 1.1
	split = 1.
	call cxygrid( x1, x2, y1, y2, -3., 3., -3., 3., split )
* ua
      else if( opt .eq. 'UA' ) then
	split = 2.
	call cuagrid( split )
* tf
      else if( opt .eq. 'TF' ) then
	call ctfgrid
* fq
      else if( opt .eq. 'FQ' ) then
	call cfqgrid
      end if

* copy to generic arrays
      if( opt .eq. 'XY' ) then
	n_1 = nxp
	n_2 = nyp
	call peqp( n_1, par_1, xp_x )
	call peqp( n_2, par_2, yp_y )
      else if( opt .eq. 'TF' ) then
	n_1 = ntp
	n_2 = nfp
	call peqp( n_1, par_1, tp_t )
	call peqp( n_2, par_2, fp_f )
      else if( opt .eq. 'FQ' ) then
	n_1 = nf
	n_2 = nqp
	call peqp( n_1, par_1, f_f )
	call peqp( n_2, par_2, qlog_q )
      else if( opt .eq. 'UA' ) then
	n_1 = nup
	n_2 = nap
	call peqp( n_1, par_1, ulog_u )
	call peqp( n_2, par_2, ap_a )
      end if

	call showgrid( opt )
	return
	end
