*--------------------
	subroutine mag_to_flx( dat, sig )
* convert mag and error bar to flux
* 2009 May Keith Horne @ St-Andrews
* 2010 Jun KDH @ StA - trap non-positive sigma
	logical central/.true./
	logical firstcall/.true./
      if( firstcall ) then
	fac = alog( 10. ) / 2.5
	firstcall = .false.
      end if

c      if( sig .le. 0. ) then
c	write(*,*) '** ERROR: INCOMING NON-POSITIVE ERROR BAR :(((('
c	write(*,*) '** mag_to_flx( ', dat, sig, ' )'
c	write(*,*) '** central', central, ' fac', fac
c	call pause( ' ' )
c      end if

      if( central ) then
	dat = toflx( dat )
	sig = dat * sig * fac
      else
	bright = dat - sig
	dat = toflx( dat )
	sig = toflx( bright ) - dat
      end if

c      if( sig .le. 0. ) then
c	write(*,*) '** ERROR: OUTGOING NON-POSITIVE ERROR BAR :(((('
c	write(*,*) '** mag_to_flx( ', dat, sig, ' )'
c	write(*,*) '** central', central, ' fac', fac
c	call pause( ' ' )
c      end if

	return
	end
