
*------------------------------
	subroutine pgfitline( n, x, y, s, xmn, xmx )
* 2003 Nov KDH @ St-And
* plot best-fit line with 1-sigma error range
	real*4 x(*), y(*), s(*)
	parameter( maxp = 50 )
	real*4 p1( maxp ), p2( maxp ), p3( maxp ), p4( maxp )
	call fitline( n, x, y, s, x0, a, b, siga, sigb )
	np = maxp
      do i = 1, np
	part = float(i-1)/max(1,np-1)
	xx = xmn * (1.-part) + xmx * part
	yy = a + b * ( xx - x0 )
	sb = sigb * ( xx - x0 )
	p1( i ) = xx
	p2( i ) = yy
	p3( i ) = sqrt( siga * siga + sb * sb )
      end do
      do k = -1, 1
      do i = 1, np
	p4( i ) = p2( i ) + k * p3( i )
      end do
	call pgline( np, p1, p4 )
      end do
	return
	end
