*------------------------------
	subroutine setsite( l )
* set current parameters to those of site l
* 2003 Jul Keith Horne @ St.And
* 2003 Sep KDH @ St.And - prior(f)
* 2006 Feb KDH @ St.And - return if no sites
* 2008 Jul KDH @ StA - put sigfs,sigfb,apiv in common
* 2009 Jul KDH @ St-And - invalid site warning
	include 'plens.inc'
	if( nloc .le. 0 ) return
      if( l .le. 0 .or. l .gt. nloc ) then
	write(*,*) '** INVALID SITE setsite(', l, ' )', loc, nloc, maxloc
	return
      end if
	loc = l
* site parameters
	site = site_l( l )
	glat = glat_l( l )
	glon = glon_l( l )
	elev = elev_l( l )
	diam = diam_l( l )
* noise model parameters
	sigmag0 = sigmag0_l( l )
	erbscl = erbscl_l( l )
	syserr = syserr_l( l )
* seeing and sky corrections
	seefac = seefac_l( l )
	skyfac = skyfac_l( l )
* prior on error bar scale
	avglogf = avglogf_l( l )
	siglogf = siglogf_l( l )
* linear parameters (source and blend fluxes)
	call setfsfb_l( l )
* subsidiaries
	call subsidiaries_l( l )
	b0 = b0_l( l )
	addflx = addflx_l( l )
	addmag = addmag_l( l )
	sitefac = sitefac_l( l )
	return
	end
