
*------------------------------
	subroutine stowcfq
* stow grid parameters
* 2007 Sep KDH @ Christchurch
	include 'plens.inc'
	logical firstcall/.true./
      if( firstcall ) then
	nhold = -1
	nfhold = -1
	f1hold = 0.
	f2hold = 0.
	nqhold = -1
	q1hold = 0.
	q2hold = 0.
	firstcall = .false.
	needcfq = .true.
      end if
	nhold = ntweak
	nqhold = nqp
	q1hold = qlog_q( 1 )
	q2hold = qlog_q( max( 1, nqp ) )
	nfhold = nf
	f1hold = f_f( 1 )
	f2hold = f_f( max( 1, nf ) )
	return
*------------------------------
	entry checkcfq
* check need to re-compute chi2(f,q) 
* 2007 Aug KDH @ LaSilla - adapt from checkcua

	write(*,*) 'checkcfq ********  '
	write(*,*) 'need c( FQ ) ', needctf

	if( nqp .le. 0 ) needcfq = .true.
	if( nf .le. 0 ) needcfq = .true.
	if( nf .ne. nfhold ) needcfq = .true.
	if( nqp .ne. nqhold ) needcfq = .true.
	tiny = 1.e-3
	q1 = qlog_q( 1 )
	q2 = qlog_q( max( 1, nqp ) )
	f1 = f_f( 1 )
	f2 = f_f( max( 1, nf ) )
	if( abs( q1 - q1hold ) .gt. tiny ) needcfq = .true.
	if( abs( q2 - q2hold ) .gt. tiny ) needcfq = .true.
	if( abs( f1 - f1hold ) .gt. tiny ) needcfq = .true.
	if( abs( f2 - f2hold ) .gt. tiny ) needcfq = .true.
* report
	write(*,*) 'F old', nfhold, f1hold, f2hold
	write(*,*) '  new', nf, f1, f2
	write(*,*) 'Q old', nqhold, q1hold, q2hold
	write(*,*) '  new', nqp, q1, q2
	write(*,*) 'need c( FQ ) ', needcfq

* number of fit parameters
	call inqi( 'Parameters to tweak', ntweak, ival )
	ntweak = max( 0, min( 7, ival ) )
	if( ntweak .ne. nhold ) needcfq = .true.

	write(*,*) 'need c( FQ ) ', needcfq
	return
	end
