

*------------------------------
	subroutine stowctf
* stow grid parameters
* 2007 Aug KDH @ LaSilla - adapt from checkcua
	include 'plens.inc'
	logical firstcall/.true./
      if( firstcall ) then
	nhold = -1
	qhold = 0.
	nthold = -1
	t1hold = 0.
	t2hold = 0.
	nfhold = -1
	f1hold = 0.
	f2hold = 0.
	firstcall = .false.
	needctf = .true.
      end if
	nhold = ntweak
	qhold = qpl
	nthold = ntp
	t1hold = tp_t( 1 )
	t2hold = tp_t( max( 1, ntp ) )
	nfhold = nfp
	f1hold = fp_f( 1 )
	f2hold = fp_f( max( 1, nfp ) )
	return
*------------------------------
	entry checkctf
* check need to re-compute chi2(t,f) 
* 2007 Aug KDH @ LaSilla - adapt from checkcua

	write(*,*) 'checkctf ********  '
	write(*,*) 'need c( TF ) ', needctf

	if( qpl .ne. qhold ) needctf = .true.
	if( ntp .le. 0 ) needctf = .true.
	if( nfp .le. 0 ) needctf = .true.
	if( ntp .ne. nthold ) needctf = .true.
	if( nfp .ne. nfhold ) needctf = .true.
	tiny = 1.e-3
	t1 = tp_t( 1 )
	t2 = tp_t( max( 1, ntp ) )
	f1 = fp_f( 1 )
	f2 = fp_f( max( 1, nfp ) )
	if( abs( t1 - t1hold ) .gt. tiny ) needctf = .true.
	if( abs( t2 - t2hold ) .gt. tiny ) needctf = .true.
	if( abs( f1 - f1hold ) .gt. tiny ) needctf = .true.
	if( abs( f2 - f2hold ) .gt. tiny ) needctf = .true.
* report
	dtold = (t2hold - t1hold) / max( 1, nthold )
	dtnew = ( t2 - t1 ) / max( 1, ntp )
	dfold = (f2hold - f1hold) / max( 1, nfhold )
	dfnew = ( f2 - f1 ) / max( 1, nfp )

	write(*,*) 'q old', qhold
	write(*,*) '  new', qpl 
	write(*,*) 'T old', nthold, t1hold, t2hold, dtold
	write(*,*) '  new', ntp, t1, t2, dtnew
	write(*,*) 'F old', nfhold, f1hold, f2hold, dfold
	write(*,*) '  new', nfp, f1, f2, dfnew
	write(*,*) 'need c( TF ) ', needctf

* number of fit parameters
c	nhold = ntweak
	call inqi( 'Parameters to tweak', ntweak, ival )
	ntweak = max( 0, min( 7, ival ) )
	if( ntweak .ne. nhold ) needctf = .true.

	write(*,*) 'need c( TF ) ', needctf
	return
	end
