
*------------------------------
	subroutine stowcua
* stow grid parameters
* 2006 Mar KDH @ St-And - adapt from stowcxy
	include 'plens.inc'
	logical firstcall/.true./
      if( firstcall ) then
	nhold = -1
	nuhold = -1
	nahold = -1
	u1hold = 0.
	a1hold = 0.
	u2hold = 0.
	a2hold = 0.
	qhold = 0.
	firstcall = .false.
	needcua = .true.
      end if
	nhold = ntweak
	nuhold = nup
	nahold = nap
	u1hold = ulog_u( 1 )
	u2hold = ulog_u( max( 1, nup ) )
	a1hold = ap_a( 1 )
	a2hold = ap_a( max( 1, nap ) )
	qhold = qpl
	return
*------------------------------
	entry checkcua
* check need to re-compute chi2(u,a) ?
* 2006 Mar KDH @ St-And - adapt from checkcxy

	write(*,*) 'checkcua ********  '
	write(*,*) 'need c( UA ) ', needcua

	if( qpl .ne. qhold ) needcua = .true.
	if( nup .le. 0 ) needcua = .true.
	if( nap .le. 0 ) needcua = .true.
	if( nup .ne. nuhold ) needcua = .true.
	if( nap .ne. nahold ) needcua = .true.
	tiny = 1.e-3
	a1 = ap_a( 1 )
	a2 = ap_a( max( 1, nap ) )
	if( abs( a1 - a1hold ) .gt. tiny ) needcua = .true.
	if( abs( a2 - a2hold ) .gt. tiny ) needcua = .true.
	u1 = ulog_u( 1 )
	u2 = ulog_u( max( 1, nup ) )
	if( abs( u1 - u1hold ) .gt. tiny ) needcua = .true.
	if( abs( u2 - u2hold ) .gt. tiny ) needcua = .true.
* report
	daold = (a2hold - a1hold) / max( 1, nahold )
	danew = ( a2 - a1 ) / max( 1, nap )
	duold = (u2hold - u1hold) / max( 1, nuhold )
	dunew = ( u2 - u1 ) / max( 1, nup )

	write(*,*) 'q old', qhold
	write(*,*) '  new', qpl 
	write(*,*) 'U old', nuhold, u1hold, u2hold, duold
	write(*,*) '  new', nup, u1, u2, dunew
	write(*,*) 'A old', nahold, a1hold, a2hold, daold
	write(*,*) '  new', nap, a1, a2, danew
	write(*,*) 'need c( UA ) ', needcua

* number of fit parameters
c	nhold = ntweak
	call inqi( 'Parameters to tweak', ntweak, ival )
	ntweak = max( 0, min( 7, ival ) )
	if( ntweak .ne. nhold ) needcua = .true.

	write(*,*) 'need c( UA ) ', needcua
	return
	end
