*-----------------------------------
	subroutine title_q( title )
* add mass ratio to title
* 2002 Apr Keith Horne @ St.Andrews
* 2003 Jul KDH @ St-And - use append
* 2007 Jul KDH @ Goettingen - customise format
	include 'plens.inc'
	n1 = len1(title)+1
	call append( title, 'q=' ) 
* pick appropriate format
      if( qpl .ge. 100. ) then
	call append_i( title, nint(qpl) )
      else if( qpl .gt. 1. ) then
	call append_f( title, qpl, '(f10.1)' )
      else if( qpl .gt. 0.1 ) then
	call append_f( title, qpl, '(f10.2)' )
      else if( qpl .gt. 0.01 ) then
	call append_f( title, qpl, '(f10.3)' )
      else if( qpl .gt. 0.001 ) then
	call append_f( title, qpl, '(f10.4)' )
      else if( qpl .gt. 0.0001 ) then
	call append_f( title, qpl, '(f10.5)' )
      else
	call append_f( title, qpl, '(1pe8.1)' )
      end if
* remove trailing zeros
      if( qpl .gt. 0.0001 .and. qpl .lt. 100 ) then
	i = len1( title )
      do while( title(i:i) .eq. '0' )
	i = i - 1
	title = title(:i)
      end do
      end if
	call noeqbl( title(n1:) )
	return
	end
