*------------------------------
	subroutine title_site( title, l )
* 2003 Jul KDH @ St-And
* 2003 Sep KDH @ St-And - prior(f)
* 2009 Jun KDH @ St-And - lsave to keep loc unchanged
* 2009 Jul KDH @ St-And - invalid site warning
* 2010 Mar KDH @ LCO - call die
	include 'plens.inc'
* warn invalid input
      if( l .le. 0 .or. l .gt. nloc ) then
	write(*,*) '** INVALID SITE title_site(', l, ' )'
     &		, loc, nloc, maxloc
	call die
      end if
* save current site
	lsave = max( 1, loc )
* change to requested site
	call setsite( l )
	if( nloc .gt. 1 ) call append_i( title, l )
* baseline mag
      if( l .eq. 1 ) then
	call title_mag( title )
      else
	call append( title, 'm-m0=' )
	call append_f( title, addmag, '(f10.2)' )
      end if
* blending
	call append( title, 'b=' )
	call append_f( title, b0, '(f10.2)' )
* error bar params
	call append( title, 'sig0=' )
	call append_f( title, sigmag0, '(f10.2)' )
	call append( title, 'e=' )
	call append_f( title, erbscl, '(f10.2)' )
	call append_f( title, syserr*100., '(f10.2)' )
	title = title(:len1(title)) // '%'
* seeing
	call append( title, 'c=' )
	call append_f( title, seefac_l(l), '(f10.2)' )
* prior(logf)
      if( siglogf .gt. 0. ) then
	call append( title, '(logf=' )
	if( avglogf .ne. 0. )
     &		call append_f( title, avglogf, '(f10.2)' )
	call append( title, '+/-' )
	call append_f( title, siglogf, '(f10.2)' )
	k = index( title, '(logf=' )
	call nospace( title(k:) )
	call append( title, ')' )
      end if
	call append( title, site )
	call noeqbl( title )
* restore current site
	call setsite( lsave )
	return
	end
