*------------------------------
	subroutine xy2tf( x, y, t, f )
* compute t and f from x and y
* 2007 Aug Keith Horne @ La Silla
* 2009 Jul KDH @ St-A  - t0 => hjd0
	include 'plens.inc'
* radial parameter f
	u = sqrt( x * x + y * y )
	tiny = 1.e-6
	us = u * y0 / ( y + tiny )
	us = abs( us )
* f>0 = u/u+
      if( y .gt. 0. ) then
	f = u / uplus( us )
* f<0 = u/u-
      else if( y .lt. 0. ) then
	f = u / ( uminus( us ) - tiny )
      else
      end if
* time of planet anomaly
	add = tiny
	if( y .lt. 0. ) add = - add
	xs = x * y0 / ( y + add )
	t0 = hjd0 - mjd0
	t = t0 + te * xs
	return
	end
