*--------------------
	subroutine cfqgrid
* grid on f and log q
* 2007 Sep Keith Horne @ Christchurch
	include 'plens.inc'
	write(*,*) 'cfqgrid ****************'
	fmn = -2.
	fmx = 2.
	df = sqrt( qpl )
c	df = df / 2.
* note spacing for f grid should scale with sqrt(q) -- must fix
	qlog = nint( 10. * alog10( qpl ) ) / 10.
	write(*,*) ' q', qpl, 10.**qlog, ' qlog', qlog
	qlogmn = qlog - 1.
	qlogmx = qlog + 1.
c	qlogmn = -5.
c	qlogmx = -2.
	dlogq = 1./3.
	dlogq = 0.5
	dlogq = 0.25
	nf = 1 + nint( abs( fmx - fmn ) / df )
	nqp = 1 + nint( abs( qlogmx - qlogmn ) / dlogq )
	nf = min( max1d, nf )
	nqp = min( max1d, nqp )
	df = abs( fmx - fmn ) / nf
	dqlog = abs( qlogmx - qlogmn ) / nqp
      do i = 1, nqp
	p = ( i - 0.5 ) / max( 1, nqp )
	qlog = qlogmn * ( 1. - p ) + qlogmx *  p
	qlog_q( i ) = qlog
      end do
      do i = 1, nf
	p = ( i - 0.5 ) / max( 1, nf )
	f_f( i ) = fmn * ( 1. - p ) + fmx *  p
      end do
* report
	write(*,*) 'F:', nf, f_f( 1 ), f_f( nf ), df
	write(*,*) 'Q:', nqp, qlog_q( 1 ), qlog_q( nqp ), dqlog
	return
	end
