*--------------------
	subroutine chi2calc( chi2, nd )
* Output:
*	chi2	r4 Chi-square
*	nd	i4 number of data points
* 1998 Aug Keith Horne @ St-Andrews
	include 'plens.inc'
	logical verbose/.false./
	real*8 sum
	chi2 = 0.
	nd = 0
      if( ndata .gt. 0 ) then
	call newpredat
	sum = 0.d0
      do i=1, ndata
	e = eta_i( i )
	sum = sum + e * e
      end do
	chi2 = sum
	nd = ndata
      end if
      if( verbose ) then
	write(*,*) '** chi2calc (', chi2, ' /', nd ,' )=', chi2/max(1,nd)
      end if
	return
	end
