*--------------------
	subroutine ctfgrid
* grid on fp and tp
* 2007 Aug Keith Horne @ LaSilla
* 2009 Jul KDH @ StA - round
	include 'plens.inc'
	write(*,*) 'ctfgrid ****************'
	call timeaxis( tmn, tmx, xlabel )
	fmn = -2.
	fmx = 2.
	df = sqrt( qpl ) / 2.
	dt = te * df / a0
* larger steps for testing
c	dt = dt * 5
c	df = df * 5

* round
	round = 0.1
	call roundoff( fmx, round )
	call roundoff( fmn, round )
	
* number of steps
	ntp = 1 + nint( abs( tmx - tmn ) / dt )
	nfp = 1 + nint( abs( fmx - fmn ) / df )
	ntp = min( max1d, ntp )
	nfp = min( max1d, nfp )
* step sizes
	df = abs( fmx - fmn ) / nfp
	dt = abs( tmx - tmn ) / ntp
      do i=1,ntp
	p = ( i - 0.5 ) / max( 1, ntp )
	tp_t( i ) = tmn * ( 1. - p ) + tmx *  p
      end do
      do i=1,nfp
	p = ( i - 0.5 ) / max( 1, nfp )
	fp_f( i ) = fmn * ( 1. - p ) + fmx *  p
      end do
* report
	write(*,*) 'T:', ntp, tp_t( 1 ), tp_t( ntp ), dt
	write(*,*) 'F:', nfp, fp_f( 1 ), fp_f( nfp ), df
	return
	end
