
*----------------------
	subroutine cumap( cmax )
* prob( det | r ) and prob( det | a ) from c_ua 
* 2002 Nov Keith Horne @ St.Andrews
	include 'plens.inc'
	real*8 sum, sumw
	write(*,*) 'cumap ****************', nup
	if( nup .le. 0 ) return
	k = 0
      do iu = 1, nup
	nsum = 0
      do ia = 1, nap
	k = iu + nup * ( ia - 1 )
      if( c_ua( k ) .ge. cmax ) then
	nsum = nsum + 1
      end if
      end do
	pdet_u( iu ) = float( nsum ) / max( 1, nap )
      end do

* project onto circular orbits
      do iu = 1, nup
	size = 10. ** ulog_u( iu )
	sum = 0.d0
	sumw = 0.d0
	prob = 1.
      do i = 1, nup
	uuu = 10.** ulog_u( i )
	probold = prob
	prob = 0.
	if( uuu .lt. size ) prob = sqrt( 1. - ( uuu / size )**2 )
	dprob = max( 0., probold - prob )
	sum = sum + dprob * pdet_u( i )
	sumw = sumw + dprob
      end do
	p_u( iu ) = sum / sumw
      end do

	return
	end
