*------------------------------
	subroutine editplanet( option )
* 2007 Aug Keith Horne @ LaSilla
	character*(*) option
	include 'plens.inc'
	call upcase( option, opt )
	write(*,*) '** editplanet( ', opt(:len1(opt)), ' )'

	reply = opt
	call upcase( reply, reply )
* XY
      if( reply .eq. 'X' .or. reply .eq. 'Y'
     &		.or. reply .eq. 'XY' ) then
	plpos = 'XY'
	write(*,*) 'Planet X and Y are in R_E units.'
	call inq2r( 'X and Y ', xpl, ypl )
* TF
      else if( reply .eq. 'TP' .or. reply .eq. 'FP'
     &		.or. reply .eq. 'TF' ) then
	plpos = 'TF'
	write(*,*) 'tp is time of planet-like anomaly.'
	write(*,*) 'fp(>0) is u/u+,  fp(<0) is u/u-'
	val1 = tpl
	val2 = fpl
	call inq2r( 'Planet tp and fp ', val1, val2 )
	if( val1 .gt. 0. ) tpl = val1
	if( val2 .ne. 0. ) fpl = val2

* UA
      else if( reply .eq. 'U' .or. reply .eq. 'A'
     &		.or. reply .eq. 'UA' ) then
	plpos = 'UA'
	write(*,*) 'U is planet-star distance (R_E units).'
	write(*,*) 'A is planet-star angle (clockwise from y axis)'
	write(*,*) '( enter A in degrees )'
	val1 = upl
	val2 = rad2deg( apl )
	call inq2r( 'Planet U and A ', val1, val2 )
	if( val1 .gt. 0. ) upl = val1
	apl = deg2rad( val2 )
	apl = atan2( sin( apl ), cos( apl ) )
      else
	write(*,*) '** Confused.  Please try again!'
      end if

	call setplpos
	return
	end
