
*-----------------------------------
	subroutine eventalias( event, alias )
* find event alias in multiples.list
* 2009 May Keith Horne @ St.Andrews
	character*(*) event, alias
	character*75 file
	character*10 match
	parameter( maxe = 3000 )
	character*30 list( maxe )
	character*2 survey
	logical firstcall/.true./

* load multiples list
      if( firstcall .or. ne .le. 0 ) then
	ne = maxe
	file = 'multiples.list'
	call loadlist( '@'//file, ne, list )
	write(*,*) 'File ', file(:len1(file)), ' entries', ne
      do i=1,ne
	write(*,*) i, ' ', list(i)(:len1(list(i)))
      end do
	firstcall = .false.
      end if

* default
	alias = ' '
	if( ne .le. 0 ) return

	write(*,*) '** eventalias( ', event(:len1(event)),' ) ***', ne

* identify event
	call word1( event, l1, l2 )
	l = l2 - l1 + 1
      if( l .ne. 7 .and. l .ne. 9 ) then
	return
      end if

* identify survey
	survey = event(l1:l1+1)
	call upcase( survey, survey )
      if( survey .ne. 'OB' .and. survey .ne. 'KB' ) then
	write(*,*) '** UNKNOWN SURVEY ', survey, '  :((((((.'
	return
      end if

      if( l.eq. 7 ) then
	match = event(l1:l2)
      else if( l .eq. 9 ) then
	match = survey // event(l1+3:l1+4) // event(l1+6:l1+9)
      end if
	call upcase( match, match )
	write(*,*) 'Event: ', event(l1:l2), ' ', match(:len1(match) )

* look for a match
	i = 0
      do while( alias .eq. ' ' .and. i .lt. ne )
	i = i + 1
	call word1( list(i), l1, l2 )
	call word1( list(i)(l2+1:), l3, l4 )
	l3 = l2 + l3
	l4 = l2 + l4
	if( match .eq. list(i)(l1:l2) ) alias = list(i)(l3:l4)
	if( match .eq. list(i)(l3:l4) ) alias = list(i)(l1:l2)
      end do
	write(*,*) 'Alias: ', alias(:len1(alias))

	return
	end
