*------------------------------
	subroutine fit1( nits, nfit, bof )
* amoeba fit
* Input:
*	nfit	i4 number of parameters to fit
* Output:
*	nits	i4 actual number of iterations
*	bof	r4 badness of fit
* 2003 Nov KDH @ St-And - use nits
* 2007 Apr KDH @ St-And - fit 5 = with blending
* 2008 Jul KDH @ StA - n loops of 500 iterations
	include 'plens.inc'

* tolerance for convergence
c	ftol = 1.e-8
c	ftol = 1.e-7
	ftol = 1.e-6

	nits = 500
	nloop = 1

* fit with blending
c	if( nfit .gt. 4 ) nits = 1000
c	if( nfit .gt. 4 ) nloop = 3
* fit with error bar fudges
c	if( nfit .gt. 5 ) nits = 1500
c	if( nfit .gt. 5 ) nloop = 5
* fit with planet
c	if( nfit .gt. 7 ) nits = 2000
c	if( nfit .gt. 7 ) nloop = 5


	lastloop = 5
	loopits = max( 100, nits / max(1, lastloop ) )
	iter = 0
      do loop = 1, lastloop
      if( iter .lt. nits ) then
      if( loop .eq. 1 .or. newits .ge. loopits ) then
	newits = min( loopits, nits-iter )
	call fit0( newits, ftol, nloop, nfit, bof )
	iter = iter + newits
      end if
      end if
      end do
	nits = iter
	return
	end
