*--------------------
	subroutine flx_to_mag( dat, sig )
* convert flux and error bar to mags
* 	die if dat < 0.
* 2009 May Keith Horne @ St-Andrews
	logical central/.true./

	logical firstcall/.true./
      if( firstcall ) then
	fac = 2.5 / alog( 10. )
	firstcall = .false.
      end if
      if( dat .le. 0. ) then
	write(*,*) '*** ERROR flx_to_mag(', dat, sig, ' )'
     &		, ' NEGATIVE FLUX :((((('
	call die
      end if

      if( central ) then
	sig = ( sig / dat ) * fac
	dat = tomag( dat )
      else
	bright = dat + sig
	dat = tomag( dat )
	sig = dat - tomag( bright )
      end if

	return
	end
