*------------------------------
	subroutine impaths( ls1, ls2 )
* draw image paths
* 1998 Aug Keith Horne @ St-Andrews
* 2003 Jan KDH @ St.And - refine steps
	include 'plens.inc'
	write(*,*) 'impaths(', ls1, ls2, ' ) ****************'
	call pgqwin( xmn, xmx, ymn, ymx )
* image paths
	nplt = min( maxplot, 10000 )
      do i = 1, nplt
	part = float(i-1) / max(1,nplt-1)
	x_t(i) = xmn + part * ( xmx - xmn )
      end do
	call lcalc( nplt, x_t, y0 )

* use smaller steps if necessary (large magnification)
	np = 0
	big = 0.01
	maxsplit = 0
      do i = 1, nplt
	ip = min( nplt, i+1 )
	dxm = xm_t(ip) - xm_t(i)
	dxp = xp_t(ip) - xp_t(i)
	dym = ym_t(ip) - ym_t(i)
	dyp = yp_t(ip) - yp_t(i)
	dsm = sqrt( dxm * dxm + dym * dym ) 
	dsp = sqrt( dxp * dxp + dyp * dyp ) 
	step = max( dsm, dsp )
	nsplit = max( 1, nint( step / big ) )
	maxsplit = max( maxsplit, nsplit )
      do j = 1, nsplit
	part = float( j - 1 ) / max( 1, nsplit - 1 )
      if( np .lt. maxplot ) then
	np = np + 1
	plot1(np) = x_t( i ) * ( 1.-part ) + x_t( ip ) * part
      end if
      end do
      end do
      if( maxsplit .gt. 1 ) then
	nplt = np
	call peqp( np, x_t, plot1 )
	call lcalc( nplt, x_t, y0 )
      end if

* unlensed trajectory
	call pgsls( ls1 )
	call pgmove( xmn, y0 )
	call pgdraw( xmx, y0 )
* lensed trajectories
	call pgsls( ls2 )
	call pgline( nplt, xm_t, ym_t )
	call pgline( nplt, xp_t, yp_t )
	call pgsls( 1 )
	return
	end
