*------------------------------
	subroutine initparms
* initial parameters
* 1998 Aug Keith Horne @ St-Andrews
* 2002 Nov KDH @ St-And - b0
* 2003 Sep KDH @ St-And - prior(f)
* 2004 Jun KDH @ St-And - prior(tE,A0)
* 2005 Aug KDH @ St-And - MJD0 = 0
* 2006 Feb KDH @ St-And - place planet at y=-1000.
* 2006 Feb KDH @ St-And - delChi2 25 -> 100
* 2007 Aug KDH @ LaSilla - setplxy
* 2008 Jun KDH @ StA - try different syserrs (set to 0.2%)
* 2008 Nov KDH @ LCO - ypl = -1e4 rather than 1e-6 (unstable on mac lap)
* 2009 May KDH @ StA - set sigbpos, sigbneg
* 2010 Mar KDH @ LCO - siglogf 1.0 -> 0.1
* 2010 Apr KDH @ StA - xpl,ypl -> 1e4, -1e4
* 2010 Apr KDH @ StA - seebot, seetop
	include 'plens.inc'
* lens
	smag0 = 0.
	mjd0 = 0
	t0 = 0.
	hjd0 = 0.d0
	te = 1.
	y0 = 0.35
	a0 = ainv( y0 )
* planet
	qpl = 1.e-3
	xpl = 1.e4
	ypl = -1.e4
	plpos = 'XY'
	call setplxy( xpl, ypl )
* baseline rms
	sigmag0 = 0.
* error bar scale factor
	erbscl = 1.
* systematic errors
	syserr = 0.002
* sky/see correlations (1,2,3=flx,mag,eta)
	ksky = 0
	ksee = 0
	seebot = 0.
	seetop = 100.
	skybot = 0.
	skytop = 1e5
* clip thresholds
	cliplo = -1000.
	cliphi = 1000.
* prior(f)
	avglogf = 0.
	siglogf = 1.
	siglogf = 0.1
* prior(te)
	avglogte = 1.33
	siglogte = sqrt( 0.33 / 2. )
* prior(a0)
	sigloga0 = 1. / 1.289
* prior(b) split-gaussian
	cenb = 0.
	sigbneg = 0.01
	sigbpos = 100.
* blend
	b0 = 0.
* magnitude shift
	addmag = 0.
* threshold
	delchi2 = 100.
* parameters fitted
	npfit = 0
* fixed parameters
	fixa0 = .false.
	fixb0 = .false.

	return
	end
