*--------------------
	subroutine lcalc( n, xin, umin )
* compute lens posns, lightcurve, etc
* 1998 Aug Keith Horne @ St-Andrews
* 2003 Nov KDH @ St-And - floor, u_t, ...
	real*4 xin( * )
	include 'plens.inc'
	floor = 1.e-5
	ys = max( umin, floor )
* report
c	write(*,*) 'lcalc *************', n, umin, ys
c	write(*,*) 'x(1)', xin(1), ' x(', n, ' )', xin(n)
* epochs
      do i = 1, n
	xs = xin( i )
	u = sqrt( xs * xs + ys * ys )
	cth = xs / u
	sth = ys / u
	up = uplus( u )
	um = uminus( u )
	xp = up * cth
	yp = up * sth
	xm = um * cth
	ym = um * sth
	ap = aplus( u )
	am = aminus( u )
* stow
	u_t( i ) = u
	up_t( i ) = up
	xp_t( i ) = xp
	yp_t( i ) = yp
	um_t( i ) = um
	xm_t( i ) = xm
	ym_t( i ) = ym
	ap_t( i ) = ap
	am_t( i ) = am
	a_t( i ) = ap + am

* include planet
	method = 2
      if( method.eq.2 ) then
	a1 = a_t(i)
	a_t(i) = asp( xs, ys, 1, xpl, ypl, qpl )
      else
	x1 = xp
	y1 = yp
	u1p = sqrt( ( (x1-xpl)**2 + ( y1-ypl)**2 ) / qpl )
	if( abs(u1p).le.10. ) ap = ap * atotl( u1p )

	x2 = xm
	y2 = ym
	u2p = sqrt( ( (x2-xpl)**2 + ( y2-ypl)**2 ) / qpl )
	if( abs(u2p).le.10. ) am = am * atotl( u2p )
	ap_t( i ) = ap
	am_t( i ) = am
	a_t( i ) = ap + am
      end if

* blending
	ab_t( i ) = a_t( i )
      if( b0 .gt. 0. ) then
	ab_t( i ) = a_t( i ) + b0
      end if

* next epoch
      end do
	return
	end
