*------------------------------
	subroutine mplot( option )
* plot images
* Input:
*	option	C* characters for each panel to plot
* 1998 Aug Keith Horne @ St-Andrews
* 2003 Nov KDH @ St-And - gplot, seeplot, skyplot
	include 'plens.inc'
	character*(*) option
	logical pgagain
* 
	call upcase( option, opt )
	call word1( opt, l1, l2 )
	np = l2-l1+1
	if( np.le.0 ) return

* format
	npanx = 1
	npany = l2-l1+1
* open
   10	call pgstart( npanx, npany, new )
	call pgkolors
	csize = 1.5
	call pgsch( csize )
	lwide = 1
c	lwide = 3
	call pgslw( lwide )
* panels
	nloop = 0
      do l=l1,l2
	write(*,*)
      if( opt(l:l) .eq. 'M' ) then
	call magplot( y1, y2, nloop )
      else if( opt(l:l) .eq. 'A' ) then
* test aaplot
c	call aplot( y1, y2, nloop )
	call aaplot( y1, y2, nloop )
      else if( opt(l:l) .eq. 'I' ) then
	call iplot( y1, y2, nloop )
      else if( opt(l:l) .eq. 'P' ) then
	call pplot

* chi^2 maps for binary-lens models
      else if( opt(l:l) .eq. 'C' ) then
c	call cxyplot
	call gridfit( 'XY' )
      else if( opt(l:l) .eq. 'L' ) then
	split = 3.
c	call cuaplot( split )
	call gridfit( 'UA' )
      else if( opt(l:l) .eq. 'V' ) then
	call gridfit( 'TF' )
      else if( opt(l:l) .eq. 'K' ) then
	call gridfit( 'FQ' )

      else if( opt(l:l) .eq. 'B' ) then
	call fsfbplot
      else if( opt(l:l) .eq. 'R' ) then
	call rplot
      else if( opt(l:l) .eq. 'N' ) then
	call eplot
      else if( opt(l:l) .eq. 'G' ) then
	call gplot
      else if( opt(l:l) .eq. 'Z' ) then
	call seeplot
      else if( opt(l:l) .eq. 'Y' ) then
	call skyplot
      else if( opt(l:l) .eq. 'O' ) then
	call oplot( 1. )
      end if
* put plens logo on plot
	call pgsci( 4 )
      if( opt(l:l) .eq. 'C'
     &	.or. opt(l:l) .eq. 'L'
     &	.or. opt(l:l) .eq. 'V'
     &	) then
	call pgplens( 'C' )
      else
	call pgplens( 'T' )
      end if
      end do
* close
	call pgstop
* again?
	if( pgagain() ) goto 10
	return
	end
