*-------------------------------
	subroutine noplanetfit
* remove planet and re-fit
* 2003 Jul Keith Horne @ St-Andrews
* 2003 Nov KDH @ St-And - require q>0
* 2006 Jul KDH @ St-And - require ndata>0
* 2009 Jul KDH @ St-A  - t0 => hjd0
	include 'plens.inc'
	if( qpl .le. 0. ) return
	write(*,*) 'remove planet at q', qpl, ' x,y:', xpl, ypl

* ditch planet
	call noplanet
	if( ndata .le. 0 ) return

* stow
	holdb = b0
	holds = sigmag0
	holdf = erbscl
* report
	t0 = hjd0 - mjd0
	write(*,*) 'A0', a0, ' t0', t0, ' te', te
	write(*,*) 'sig0', sigmag0, ' f', erbscl, ' b', b0
* re-fit with no planet
	npf = min( 7, npfit )
	write(*,*) 'noplanetfit-', npf
	call fit1( nits, npf, bof ) 
* report
	t0 = hjd0 - mjd0
	write(*,*) 'A0', a0, ' t0', t0, ' te', te
	write(*,*) 'sig0', sigmag0, ' f', erbscl, ' b', b0
* restore
	b0 = holdb
	sigmag0 = holds
	erbscl = holdf
	write(*,*) 'restored:'
	write(*,*) 'sig0', sigmag0, ' f', erbscl, ' b', b0
	return
	end
