
*------------------------------
	subroutine seecor
* correlate residuals with seeing
* 2003 Nov KDH @ St-And
* 2009 Jul KDH @ StA - preflx(t)->preflx(hjd)
* 2010 Apr KDH @ StA - seebot, seetop
	include 'plens.inc'
c	write(*,*) 'seecor ****************', ksee, seebot, seetop
	if( ndata .lt. 1 ) return
	if( ksee .ne. 3 ) call newpredat
* site loop
      do l = 1, nloc
	n = ndat_l( l )
	i1 = it1_l( l )
	i2 = i1 + n - 1
	fac = 0.
      if( ksee .gt. 0 ) then
	sum = 0.d0
	sum2 = 0.d0
      do i = i1, i2
* restrict seeing
	see = see_t(i)
      if( see .gt. seebot .and. see .lt. seetop ) then
	d = resid( i, ksee )
	p = eta_see( i )
	sum = sum + d * p
	sum2 = sum2 + p * p
      end if
      end do
      if( sum2 .ne. 0.d0 ) then
	fac = sum / sum2
      end if
      end if
	seefac_l( l ) = fac

* stow corrections
      do i = i1, i2 
	seemag = 0.
	seefac = 1.
      if( see_t(i) .gt. seefloor ) then
      if( ksee .eq. 2 ) then
	seemag = fac * eta_see( i )
	seefac = 10. ** ( 0.4 * seemag )
      else if( ksee .eq. 1 ) then
	seeflx = fac * eta_see( i )
	seefac = 1. + seeflx / preflx( hjd_t( i ) )
	seemag = 2.5 * alog10( seefac )
      end if
      end if
	seemag_t( i ) = seemag
	seefac_t( i ) = seefac
      end do
* next loc
      end do
	return
	end
