*--------------------
	subroutine showbigcov( thresh )
* show largest parameter covariances
* 2008 Jul Keith Horne @ SAAO
	include 'plens.inc'
	integer*4 i_p( maxparm * (maxparm-1) )
	n = ncovdim
	if( n .le. 1 ) return
* stow off-diagonal elements with abs(cov) > thresh
	i = 0
      do k=2,n
      do j=1,k-1
	jk = j + (k-1) * n
	cov = cov_pp( jk )
      if( abs( cov ) .gt. thresh ) then
	i = i + 1
	plot1(i) = j
	plot2(i) = k
	plot3(i) = abs( cov )
      end if
      end do	
      end do
	nn = i
	write(*,*) 'Covariances above', thresh, ' :', nn, ' of', (n*(n-1))/2
* sort
      if( nn .gt. 0 ) then
	call quicksort( nn, plot3, i_p )
* report
      do ir = nn, 1, -1
	i = i_p( ir )
	j = nint( plot1( i ) )
	k = nint( plot2( i ) )
	jk = j + (k-1) * n
	cov = cov_pp( jk )
	name = name_p(k)
	write( title, '(a,2i3,a,f8.3,4a)' ) '  Cov(', j, k, ' ) =', cov
     &	, '    ', name_p(j) (: len1( name_p(j) ) )
     &	, ' vs ', name_p(k) (: len1( name_p(k) ) )
	write(*,*) title(:len1(title))
c	write(*,*) '  Cov(', k, j, ' ) =', cov, ' ', name(:len1(name))
c     &		, ' vs ', name_p( j )(:len1( name_p( j ) ))
      end do
      end if
	return
	end
