
*------------------------------
	subroutine stowcxy
* stow grid parameters
* 2005 May KDH @ St-And
	include 'plens.inc'
	logical firstcall/.true./
      if( firstcall ) then
	nhold = -1.
	nxhold = -1
	nyhold = -1
	x1hold = 0.
	y1hold = 0.
	x2hold = 0.
	y2hold = 0.
	qhold = 0.
	needcxy = .true.
	firstcall = .false.
      end if
	nhold = ntweak
	write(*,*) '* stowcxy ntweak', ntweak, ' nx,ny', nxp, nyp
	nxhold = nxp
	nyhold = nyp
	x1hold = xp_x( 1 )
	y1hold = yp_y( 1 )
	x2hold = xp_x( max( 1, nxp ) )
	y2hold = yp_y( max( 1, nyp ) )
	qhold = qpl
	return
*------------------------------
	entry checkcxy
* check need to re-compute chi2(x,y) ?
* 2005 May KDH @ St-And
	write(*,*) 'checkcxy ********  '
	write(*,*) 'need c(x,y) ', needcxy
	if( qpl .ne. qhold ) needcxy = .true.
	if( nxp .le. 0 ) needcxy = .true.
	if( nyp .le. 0 ) needcxy = .true.
	if( nxp .ne. nxhold ) needcxy = .true.
	if( nyp .ne. nyhold ) needcxy = .true.
	tiny = 2.e-3
	x1 = xp_x( 1 )
	x2 = xp_x( max( 1, nxp ) )
	y1 = yp_y( 1 )
	y2 = yp_y( max( 1, nyp ) )
	if( abs( x1 - x1hold ) .gt. tiny ) needcxy = .true.
	if( abs( x2 - x2hold ) .gt. tiny ) needcxy = .true.
	if( abs( y1 - y1hold ) .gt. tiny ) needcxy = .true.
	if( abs( y2 - y2hold ) .gt. tiny ) needcxy = .true.

* report
	dxold = (x2hold - x1hold) / max( 1, nxhold )
	dxnew = ( x2 - x1 ) / max( 1, nxp )
	dyold = (y2hold - y1hold) / max( 1, nyhold )
	dynew = ( y2 - y1 ) / max( 1, nyp )

	write(*,*) 'q old', qhold
	write(*,*) '  new', qpl 
	write(*,*) 'X old', nxhold, x1hold, x2hold, dxold
	write(*,*) '  new', nxp, x1, x2, dxnew
	write(*,*) 'Y old', nyhold, y1hold, y2hold, dyold
	write(*,*) '  new', nyp, y1, y2, dynew
	write(*,*) 'need c( XY ) ', needcxy

* number of fit parameters
	ntweak = nhold
	call inqi( 'Parameters to tweak', ntweak, ival )
	ntweak = max( 0, min( 7, ival ) )
	if( ntweak .ne. nhold ) needcxy = .true.

	write(*,*) 'need c( XY ) ', needcxy
	return
	end
