
*------------------------------
	subroutine stowsite( l )
* stow current parameters to site l
* 2003 Jul Keith Horne @ St.And
* 2003 Sep KDH @ St.And - prior(f)
* 2006 Feb KDH @ St.And - return if no sites
	include 'plens.inc'
	if( nloc .le. 0 ) return
      if( l .le. 0 .or. l .gt. nloc ) then
	write(*,*) '** INVALID LOCATION', l, loc, nloc, maxloc
	return
      end if
* stow site parameters
	site_l( l ) = site
	glat_l( l ) = glat
	glon_l( l ) = glon
	elev_l( l ) = elev
	diam_l( l ) = diam
* noise model parameters
	sigmag0_l( l ) = sigmag0
	erbscl_l( l ) = erbscl
	syserr_l( l ) = syserr
	seefac_l( l ) = seefac
	avglogf_l( l ) = avglogf
	siglogf_l( l ) = siglogf
* linear parameters (source and blend flux)
	call stowfsfb_l( l )
* subsidiaries
	call subsidiaries_l( l )
	return
	end
