
*========================================
	subroutine timearray
* produce t_t and MJD0 from HJD
* 2009 May KDH @ St.A
	include 'plens.inc'

* repair decapitated julian date
	jdadd = 2450000
	jdcap =  100000
      do i = 1, ndata
	if( hjd_t(i) .lt. jdcap ) hjd_t(i) = hjd_t(i) + jdadd
      end do

* mjd reference
	jdround = 10000
	mjd0 = hjd_t( min(2,ndata) ) / jdround
	mjd0 = jdround * mjd0
	write(*,*) 'reference mjd0:', mjd0

* time array (real*4 for plots)
      do i = 1, ndata
	t_t(i) = hjd_t(i) - mjd0
      if( i .eq. 1 .or. i .eq. ndata ) then
	write(*,*) i, hjd_t(i), t_t(i)
      end if
      end do

	call mnmx( ndata, t_t, tmn, tmx )
	tfirst = tmn
	tlast = tmx
	write(*,*) 'time range:', tmn, tmx

	return
	end
