* plens.inc
* 2003 Jul - Keith Horne @ St.And
* 2006 Jan - KDH @ St.And - scalerb_l
* 2006 Feb - KDH @ St.And - hjdaxis
* 2006 Mar - KDH @ St.And - tnow
* 2007 Mar - KDH @ Goettingen - syserr, syserr_l
* 2007 Mar - KDH @ St.And - chiscale -> erbscl
* 2007 Aug - KDH @ La Silla - plpos, tpl, fpl
* 2008 Mar - KDH @ St.A - xnow, unow, anow, smagnow
* 2009 May - KDH @ St.A - cenb, sigbneg, sigbpos
* 2009 May - KDH @ St.A - binday, binyear, binte
* 2009 Jul - KDH @ St.A - fixb0
* 2009 Jul - KDH @ St.A - mjdt0
* 2009 Jul - KDH @ St.A - muteamoebaplot
* 2009 Jul - KDH @ St.A - 1d parameter grid
* 2009 Jul - KDH @ St.A - double-precision times, e.g. t0 -> hjd0
* 2009 Apr - KDH @ St.A - seebot, seetop

	parameter ( maxdata = 100000 )
* locations
	parameter ( maxloc = 50 )
* stars
	parameter ( maxstar = 2000 )
* params
	parameter ( maxparm = 500 )
* parameter grids
	parameter ( max1d = 2048 )
	parameter ( max2d = max1d * max1d )
	parameter ( max3d = max2d )
* plot
	parameter ( maxplot = maxdata )
* characters
	parameter ( maxchar = 128 )
* linux can't handle this
*	parameter ( maxrank = max( maxdata, maxplot, max3d ) )
	parameter ( maxrank = max3d )
* constants
	common/pi/	pi
	common/twopi/	twopi

	common/sigmag_sigrelflx/	sigmag_sigrelflx

	character*128 version
	common/version/	version

* time series
	common/nplot/	nplot
	common/x_t/	 x_t( maxplot )
	common/u_t/	 u_t( maxplot )
	common/up_t/	 up_t( maxplot )
	common/um_t/	 um_t( maxplot )
	common/azp_t/	azp_t( maxplot )
	common/azm_t/	azm_t( maxplot )
	common/xp_t/	 xp_t( maxplot )
	common/xm_t/	 xm_t( maxplot )
	common/yp_t/	 yp_t( maxplot )
	common/ym_t/	 ym_t( maxplot )
	common/ap_t/	 ap_t( maxplot )
	common/am_t/	 am_t( maxplot )
	common/a_t/	 a_t( maxplot )
* with blending
	common/ab_t/	ab_t( maxplot )
* pspl derivatives
	common/dpspl_t/		dpspl_t( maxplot )
	common/dpspl_dt0_t/	dpspl_dt0_t( maxplot )
	common/dpspl_dte_t/	dpspl_dte_t( maxplot )
	common/dpspl_dy0_t/	dpspl_dy0_t( maxplot )
* plot items
	common/lwide/	lwide
	common/csize/	csize
	common/tbeg/	tbeg
	common/tend/	tend
	common/plot0/	 plot0( maxplot )
	common/plot1/	 plot1( maxplot )
	common/plot2/	 plot2( maxplot )
	common/plot3/	 plot3( maxplot )
	common/plot4/	 plot4( maxplot )
	common/plot5/	 plot5( maxplot )
	common/plot6/	 plot6( maxplot )
	common/plot7/	 plot7( maxplot )
	common/plot8/	 plot8( maxplot )
	common/plot9/	 plot9( maxplot )
	common/plot10/	 plot10( maxplot )
	common/plot11/	 plot11( maxplot )
	common/plot12/	 plot12( maxplot )
	common/plot13/	 plot13( maxplot )
	common/plot14/	 plot14( maxplot )
	common/plot15/	 plot15( maxplot )
	real*4 tr(6)

	character*128 xlabel, ylabel, title, label
	character*70 number
	character*70 reply
	character*10 opt
	character*70 fmt
* files
	character*(maxchar) file
	character*(maxchar) datfile
	character*(maxchar) parfile
	common/datfile/ datfile
	common/parfile/	parfile
* site
	character*(maxchar) site
	common/site/	site
	real*8 glat, glon, elev
	common/glat/	glat
	common/glon/	glon
	common/elev/	elev
	common/diam/	diam

* multi-site
	common/loc/	loc
	common/nloc/	nloc
* site names
	character*(maxchar) site_l
	common/site_l/	site_l( maxloc )
* locations
	real*8 glat_l, glon_l, elev_l
	common/glat_l/	glat_l( maxloc )
	common/glon_l/	glon_l( maxloc )
	common/elev_l/	elev_l( maxloc )
	common/diam_l/	diam_l( maxloc )
* data files
	character*(maxchar) datfile_l
	common/datfile_l/	datfile_l( maxloc )
* number of data points
	common/ndat_l/	ndat_l( maxloc )
	common/it1_l/	it1_l( maxloc )
	common/it2_l/	it2_l( maxloc )
* chi^2 and degrees of freedom
	common/chi2_l/	chi2_l( maxloc )
	common/ndf_l/	ndf_l( maxloc )

* baseline rebinning
	common/binday/	binday
	common/binyear/	binyear
	common/binte/	binte
	common/binsigclip/	binsigclip

* site-dependent parameters
* noise model parameters
	logical scalerb_l
	common/scalerb_l/	scalerb_l( maxloc )
	common/sigmag0_l/	sigmag0_l( maxloc )
	common/erbscl_l/	erbscl_l( maxloc )
	common/syserr_l/	syserr_l( maxloc )

* these to become obsolete
	common/b0_l/		b0_l( maxloc )
	common/addmag_l/	addmag_l( maxloc )
	common/addflx_l/	addflx_l( maxloc )
	common/sitefac_l/	sitefac_l( maxloc )
* baseline, source and blend fluxes
	common/f0_l/		f0_l( maxloc )
	common/fs_l/		fs_l( maxloc )
	common/fb_l/		fb_l( maxloc )
	common/sigf0_l/		sigf0_l( maxloc )
	common/sigfs_l/		sigfs_l( maxloc )
	common/sigfb_l/		sigfb_l( maxloc )
	common/apiv_l/		apiv_l( maxloc )
* seeing and sky corrections
	common/seefac_l/	seefac_l( maxloc )
	common/skyfac_l/	skyfac_l( maxloc )
	common/ksee/	ksee
	common/ksky/	ksky
	common/seebot/	seebot
	common/seetop/	seetop
	common/skybot/	skybot
	common/skytop/	skytop
* seeing
	common/seemed/	seemed
	common/seeavg/	seeavg
	common/seerms/	seerms
	common/seemed_l/	seemed_l( maxloc )
	common/seeavg_l/	seeavg_l( maxloc )
	common/seerms_l/	seerms_l( maxloc )

* sky
	common/skymed/	skymed
	common/skyavg/	skyavg
	common/skyrms/	skyrms
	common/skymed_l/	skymed_l( maxloc )
	common/skyavg_l/	skyavg_l( maxloc )
	common/skyrms_l/	skyrms_l( maxloc )

* scope id
	character*1 icon, icon_l
	common/icon_l/	icon_l( maxloc )
* filter
	character*20 filter, filter_l
	common/filter/		filter
	common/filter_l/	filter_l( maxloc )

* site colours
	character*20 colour, colour_l
	common/colour_l/	colour_l( maxloc )	
	common/cred_l/	cred_l( maxloc )
	common/cblu_l/	cblu_l( maxloc )
	common/cgrn_l/	cgrn_l( maxloc )

* plot symbols
	common/isymb_l/	isymb_l( maxloc )
* plot colours
	common/kolor_l/	kolor_l( maxloc )

* default colours for background, window, label, data, error bar, model
	logical whitebackground
	common/whitebackground/	whitebackground
	common/kolor_window/	kolor_window
	common/kolor_label/	kolor_label
	common/kolor_data/	kolor_data
	common/kolor_sigma/	kolor_sigma
	common/kolor_model/	kolor_model
	common/kolor_now/	kolor_now

* data
	common/ndata/ ndata
* hjd
	real*8 hjd, hjd_t
	common/hjd_t/	hjd_t( maxdata )
	logical hjdaxis
	common/hjdaxis/	hjdaxis
* reference jd for time plots
	common/mjd0/	mjd0
	common/jdround/ jdround
	common/t_t/	t_t( maxdata )
	common/tfirst/	tfirst
	common/tlast/	tlast
* dwell (s)
	common/dwell_t/	dwell_t( maxdata )
* airmass
	common/air_t/	air_t( maxdata )
* seeing (arcsec)
	common/see_t/	see_t( maxdata )
* sky (ADU/s)
	common/sky_t/	sky_t( maxdata )
* code
	common/code_t/	code_t( maxdata )
	logical ok_t
	common/ok_t/	ok_t( maxdata )

* current circumstances
	real*8 timezone, hjdnow, utnow
	common/timezone/	timezone
	common/hjdnow/	hjdnow
	common/tnow/	tnow
	common/xnow/	xnow
	common/unow/	unow
	common/anow/	anow
	common/smagnow/	smagnow
	common/prioritynow/	prioritynow
	common/prioritymax/	prioritymax

* mags
	common/datmag_t/	datmag_t( maxdata )
	common/sigmag_t/	sigmag_t( maxdata )
	common/erbmag_t/	erbmag_t( maxdata )
	common/premag_t/	premag_t( maxdata )
	common/clip_t/	clip_t( maxdata )

* seeing correction
	common/seemag_t/ seemag_t( maxdata )
	common/seefac_t/ seefac_t( maxdata )
* fluxes
	common/datflx_t/	datflx_t( maxdata )
	common/sigflx_t/	sigflx_t( maxdata )
	common/erbflx_t/	erbflx_t( maxdata )
	common/preflx_t/	preflx_t( maxdata )
* location
	common/loc_t/	loc_t( maxdata )
* ranks
	common/irank/	irank( maxrank )

* parameters
	common/nparm/	nparm
	common/parm/	parm( maxparm )
	common/dparm/	dparm( maxparm )
	common/sigparm/	sigparm( maxparm )
	common/loose/	loose( maxparm )
	
* generic parameters
	common/ncovdim/	ncovdim
	common/par_p/	par_p( maxparm )
	common/sig_p/	sig_p( maxparm )
	common/hessian/	hessian( maxparm * maxparm )
	common/cov_pp/	cov_pp( maxparm * maxparm )
	character*(maxchar)	name, name_p
	common/name_p/	name_p( maxparm )

* noise model parameters
	common/sigmag0/	sigmag0
	common/erbscl/ erbscl
	common/syserr/	syserr
* baseline, source and blend flux
	common/f0/	f0
	common/fs/	fs
	common/fb/	fb
	common/sigf0/	sigf0
	common/sigfs/	sigfs
	common/sigfb/	sigfb
	common/apiv/	apiv

* these to become obsolete
	common/addmag/	addmag
	common/addflx/	addflx
	common/sitefac/	sitefac

* event name and alias
	character*(maxchar) event, alias
	common/event/	event
	common/alias/	alias
* event time
	real*8 hjd0
	common/hjd0/	hjd0
* jd reference for t0
	common/mjdt0/	mjdt0
	common/t0/	t0
	common/sigt0/	sigt0
* event timescale ( einstein radius crossing time )
	common/te/	te
	common/sigte/	sigte
* impact parameter
	common/y0/	y0
	common/sigy0/	sigy0
* peak magnification
	common/a0/	a0
	common/siga0/	siga0
* 2.5 log( peak magnification )
	common/delmag/	delmag
* baseline mag
	common/smag0/	smag0
	common/sigm0/	sigm0
* blending
	common/b0/	b0

* planet parameters
	common/qpl/	qpl
	character*(maxchar) plpos
	common/plpos/	plpos
	common/xpl/	xpl
	common/ypl/	ypl
	common/apl/	apl
	common/upl/	upl
	common/tpl/	tpl
	common/fpl/	fpl
	common/dtpl/	dtpl

* mute
	common/mutefit0/ mutefit0
	common/muteamoeba/ muteamoeba
	common/muteamoebaplot/ muteamoebaplot

* prior(te)
	common/avglogte/	avglogte
	common/siglogte/	siglogte
* prior(a0)
	common/sigloga0/	sigloga0
* prior(b) = split-gaussian
	common/cenb/	cenb
	common/sigbpos/	sigbpos
	common/sigbneg/	sigbneg
* prior(f)
	common/avglogf/	avglogf
	common/siglogf/	siglogf
* prior(f_l)
	common/avglogf_l/	avglogf_l( maxloc )
	common/siglogf_l/	siglogf_l( maxloc )

* pspl fit parameters
	real*8 hjd0fit
	common/hjd0fit/	hjd0fit
c	common/t0fit/	t0fit
	common/tefit/	tefit
	common/y0fit/	y0fit
	common/a0fit/	a0fit
	common/smag0fit/	smag0fit
	common/sigmag0fit/	sigmag0fit
	common/erbsclfit/	erbsclfit
* planet parameters
	common/qplfit/	qplfit
	common/xplfit/	xplfit
	common/yplfit/	yplfit
	common/dchi2fit/	dchi2fit

* generic parameter grid (up to 3d)
	common/qmap/	qmap
	common/mapfit/	mapfit
	common/maptweak/ maptweak
	common/mapdof/	mapdof
	common/chi2ref/	chi2ref
	common/cpumap/	cpumap

	common/ndimgrid/	ndimgrid
	common/n_1/	n_1
	common/n_2/	n_2
	common/n_3/	n_3
	common/par_1/	par_1( max1d )
	common/par_2/	par_2( max1d )
	common/par_3/	par_3( max1d )
* -2lnL
	common/chi2_1/	chi2_1( max1d )
	common/chi2_2/	chi2_2( max1d )
	common/chi2_3/	chi2_3( max1d )
	common/chi2_12/	chi2_12( max2d )
	common/chi2_13/	chi2_13( max2d )
	common/chi2_23/	chi2_23( max2d )
	common/chi2_123/	chi2_123( max3d )
* prior
	common/prior_1/	prior_1( max1d )
	common/prior_2/	prior_2( max1d )
	common/prior_3/	prior_3( max1d )
	common/prior_12/	prior_12( max2d )
	common/prior_13/	prior_13( max2d )
	common/prior_23/	prior_23( max2d )
	common/prior_123/	prior_123( max3d )
* bof = -2ln( L * prior )
	common/bof_1/	bof_1( max1d )
	common/bof_2/	bof_2( max1d )
	common/bof_3/	bof_3( max1d )
	common/bof_12/	bof_12( max2d )
	common/bof_13/	bof_13( max2d )
	common/bof_23/	bof_23( max2d )
	common/bof_123/	bof_123( max3d )
* posterior = exp(-bof/2)
	common/post_1/	post_1( max1d )
	common/post_2/	post_2( max1d )
	common/post_3/	post_3( max1d )
	common/post_12/	post_12( max2d )
	common/post_13/	post_13( max2d )
	common/post_23/	post_23( max2d )
	common/post_123/	prost_123( max3d )
* cumulative
	common/cum_1/	cum_1( max1d )
	common/cum_2/	cum_2( max1d )
	common/cum_3/	cum_3( max1d )

* pspl parameter grid
	common/smag0_i/	smag0_i( max1d )
	common/b0_i/	b0_i( max1d )
	common/y0_i/	y0_i( max1d )
	common/a0_i/	a0_i( max1d )
	real*8 hjd0_i
	common/hjd0_i/	hjd0_i( max1d )
c	common/t0_i/	t0_i( max1d )
	common/te_i/	te_i( max1d )
	common/thalf_i/	thalf_i( max1d )

* error bar scale parameter grid
	common/sigmag0_i/	sigmag0_i( max1d )
	common/erbscl_i/	erbscl_i( max1d )

* planet parameter grid
	common/q_i/	q_i( max1d )
	common/x_i/	x_i( max1d )
	common/y_i/	y_i( max1d )
	common/u_i/	u_i( max1d )
	common/a_i/	a_i( max1d )
	common/t_i/	t_i( max1d )
	common/f_i/	f_i( max1d )

* fix parameters
	logical fixb0, fixa0, fixq
	common/fixb0/	fixb0
	common/fixa0/	fixa0
	common/fixq/	fixq

* lens stars (i.e. different events)
	common/nstar/	nstar
	character*(maxchar) star, star_s
	common/star/	star
	common/star_s/	star_s( maxstar )
	real*8 ra, dec, ra_s, dec_s
	common/ra_s/	ra_s( maxstar )
	common/smag0_s/	smag0_s( maxstar )
	real*8 hjd0_s
	common/hjd0_s/	hjd0_s( maxstar )
c	common/t0_s/	t0_s( maxstar )
	common/te_s/	te_s( maxstar )
	common/y0_s/	y0_s( maxstar )
	common/a0_s/	a0_s( maxstar )
	common/p0_s/	p0_s( maxstar )

	common/sigmag0_s/	sigmag0_s( maxstar )
	common/erbscl_s/	erbscl_s( maxstar )

	common/qpl_s/	qpl_s( maxstar )
	common/xpl_s/	xpl_s( maxstar )
	common/ypl_s/	ypl_s( maxstar )
	common/dchi2_s/	dchi2_s( maxstar )

* threshold
	common/delchi2/	delchi2
	common/chi2fit/	chi2fit
	common/ndfit/	ndfit
	common/npfit/	npfit
* sigma-clip thresholds
	common/cliphi/	cliphi
	common/cliplo/	cliplo

* standard fits reduced chi2
	common/chi2_4/	chi2_4
	common/chi2_5/	chi2_5
	common/chi2_6/	chi2_6
	common/chi2_7/	chi2_7

* orbit radius
	common/orblog/	orblog( maxplot )
	common/prob_a/	prob_a( maxplot )
	common/plog_a/	plog_a( maxplot )

* x-y maps
	common/ntweak/	ntweak
	logical needcxy
	common/needcxy/	needcxy
	common/qxy/	qxy
	common/nfitxy/	nfitxy
	common/ntweakxy/ ntweakxy
	common/ndofxy/	ndofxy
	common/chi2xy/	chi2xy
	common/cpuxy/	cpuxy
	common/nxp/	nxp
	common/nyp/	nyp
	common/xp_x/	xp_x( max1d )
	common/yp_y/	yp_y( max1d )
	common/c_xy/	c_xy( max2d )
* projected circular orbit
	common/nx/	nx
	common/ny/	ny
	common/x_x/	x_x( max1d )
	common/y_y/	y_y( max1d )
	common/o_xy/	o_xy( max2d )

* radius-azimuth 
	common/nup/	nup
	common/nap/	nap
	common/qua/	qua
	common/nfitua/	nfitua
	common/ntweakua/ ntweakua
	common/ndofua/	ndofua
	common/chi2ua/	chi2ua
	common/cpuua/	cpuua
	logical needcua
	common/needcua/	needcua
	common/ulog_u/	ulog_u( max1d )
	common/ap_a/	ap_a( max1d )
	common/c_ua/	c_ua( max2d )
	common/c_a/	c_a( max1d )
	common/c_u/	c_u( max1d )
	common/o_u/	o_u( max1d )
	common/pdet_u/	pdet_u( max1d )
	common/p_u/	p_u( max1d )
	common/o_ua/	o_ua( max2d )

* tp-fp map
	common/ntp/	ntp
	common/nfp/	nfp
	common/qtf/	qtf
	common/nfittf/	nfittf
	common/ntweaktf/ ntweaktf
	common/ndoftf/	ndoftf
	common/chi2tf/	chi2tf
	common/cputf/	cputf
	logical needctf
	common/needctf/	needctf
	common/tp_t/	tp_t( max1d )
	common/fp_f/	fp_f( max1d )
	common/c_tf/	c_tf( max2d )

* q-f map
	common/nqp/	nqp
	common/nf/	nf
	common/qfq/	qfq
	common/nfitqf/	nfitqf
	common/ntweakfq/ ntweakfq
	common/ndoffq/	ndoffq
	common/chi2fq/	chi2fq
	common/cpufq/	cpufq
	logical needcfq
	common/needcfq/	needcfq
	common/qlog_q/	qlog_q( max1d )
	common/f_f/	f_f( max1d )
	common/c_fq/	c_fq( max2d )
	common/c_f/	c_f( max1d )
	common/c_q/	c_q( max1d )
* images
	common/pic1/	pic1( max2d )
	common/pic2/	pic2( max2d )
	common/pic3/	pic3( max2d )
